Skip to content

Transfer conversation

Request

Transfer a conversation to a target queue.

Security
ApiKeyAuth(Required scopes: conversation.reply)
Path
conversationIdinteger, (int64)required
Bodyapplication/jsonrequired

Transfer conversation request

queueIdstring, (uuid)required

The target queue for the conversation transfer

userIdstring, (uuid)

An optional agent/admin to originate the transfer of the conversation

PUT
/v1/conversations/{conversationId}/transfer/queue
curl -i -X PUT \
  'https://dev.dixa.io/v1/conversations/{conversationId}/transfer/queue' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "queueId": "92f8d193-b26f-4a62-86a3-bb03ee0915e9",
    "userId": "a53b25da-f676-4c52-acac-58c9280aa23d"
  }'

Responses

The conversation was successfully transferred to the target queue

Response
No content